Mutation (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class Mutation

    java.lang.Object
      com.sleepycat.persist.evolve.Mutation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Converter, Deleter, Renamer

    public abstract class Mutation

extends Object
implements Serializable

The base class for all mutations.

See Also:
  `Class Evolution`, Serialized Form

Method Summary
`boolean` | `equals(Object other)` Returns true if the class name, class version and field name are equal in this object and given object.
`String` | `getClassName()` Returns the class to which this mutation applies.
`int` | `getClassVersion()` Returns the class version to which this mutation applies.
`String` | `getFieldName()` Returns the field name to which this mutation applies, or null if this mutation applies to the class itself.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getClassName

    public String getClassName()

  Returns the class to which this mutation applies.

### getClassVersion

    public int getClassVersion()

  Returns the class version to which this mutation applies.

### getFieldName

    public String getFieldName()

  Returns the field name to which this mutation applies, or null if this mutation applies to the class itself.

### equals

    public boolean equals(Object other)

  Returns true if the class name, class version and field name are equal in this object and given object.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.